Refresh repository health
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidapplication/json- body
branch_refs?array<string>Items
items <= 20Successful Response
application/json- response
evidence_status*Evidence Statusfreshness_seconds*Freshness Secondshas_more?Has MoreDefault
falseitems*array<>latest_audit_at?|nulllatest_audit_branch?string|nulllatest_audit_id?|nulllatest_check*array<>next_cursor?string|nullomitted_branch_count?Omitted Branch CountDefault
0repository_id*Repository IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/health/check' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "evidence_status": "string", "freshness_seconds": 0, "has_more": false, "items": [ { "branch_ref": "string", "check_id": "051490c8-9abf-480a-9348-72c146208cd5", "checked_at": "2019-08-24T14:15:22Z", "commit_sha": "string", "details": {}, "error_code": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "string" } ], "latest_audit_at": "2019-08-24T14:15:22Z", "latest_audit_branch": "string", "latest_audit_id": "e47a6a8f-7abe-4944-9e27-cd1a4c3bb2d4", "latest_check": [ { "branch_ref": "string", "check_id": "051490c8-9abf-480a-9348-72c146208cd5", "checked_at": "2019-08-24T14:15:22Z", "commit_sha": "string", "details": {}, "error_code": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "string" } ], "next_cursor": "string", "omitted_branch_count": 0, "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3"}